Index: main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py	(revision 6631)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py	(revision 6632)
@@ -2,5 +2,5 @@
 """
 # Make this a package.
-from waeup.sirp.students.students import (
+from waeup.sirp.students.student import (
     Student, StudentFactory
     )
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 6631)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 6632)
@@ -66,5 +66,5 @@
     IStudentPersonal, IStudentBase
     )
-from waeup.sirp.students.students import (
+from waeup.sirp.students.student import (
     Student,
     )
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 6632)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 6632)
@@ -0,0 +1,56 @@
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""
+Container for the various objects owned by students.
+"""
+import grok
+from grok import index
+from zope.component.interfaces import IFactory
+from zope.interface import implementedBy
+from waeup.sirp.students.interfaces import IStudent
+from waeup.sirp.utils.helpers import attrs_to_fields
+
+class Student(grok.Container):
+    """This is a student container for the various objects
+    owned by students.
+    """
+    grok.implements(IStudent)
+    grok.provides(IStudent)
+
+    def __init__(self):
+        super(Student, self).__init__()
+        #IWorkflowInfo(self).fireTransition('init')
+        return
+
+# Set all attributes of Student required in IStudent as field
+# properties. Doing this, we do not have to set initial attributes
+# ourselves and as a bonus we get free validation when an attribute is
+# set.
+Student = attrs_to_fields(Student)
+
+class StudentFactory(grok.GlobalUtility):
+    """A factory for students.
+    """
+    grok.implements(IFactory)
+    grok.name(u'waeup.Student')
+    title = u"Create a new student.",
+    description = u"This factory instantiates new student instances."
+
+    def __call__(self, *args, **kw):
+        return Student()
+
+    def getInterfaces(self):
+        return implementedBy(Student)
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/students.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/students.py	(revision 6631)
+++ 	(revision )
@@ -1,56 +1,0 @@
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-"""
-Container for the various objects owned by students.
-"""
-import grok
-from grok import index
-from zope.component.interfaces import IFactory
-from zope.interface import implementedBy
-from waeup.sirp.students.interfaces import IStudent
-from waeup.sirp.utils.helpers import attrs_to_fields
-
-class Student(grok.Container):
-    """This is a student container for the various objects
-    owned by students.
-    """
-    grok.implements(IStudent)
-    grok.provides(IStudent)
-
-    def __init__(self):
-        super(Student, self).__init__()
-        #IWorkflowInfo(self).fireTransition('init')
-        return
-
-# Set all attributes of Student required in IStudent as field
-# properties. Doing this, we do not have to set initial attributes
-# ourselves and as a bonus we get free validation when an attribute is
-# set.
-Student = attrs_to_fields(Student)
-
-class StudentFactory(grok.GlobalUtility):
-    """A factory for students.
-    """
-    grok.implements(IFactory)
-    grok.name(u'waeup.Student')
-    title = u"Create a new student.",
-    description = u"This factory instantiates new student instances."
-
-    def __call__(self, *args, **kw):
-        return Student()
-
-    def getInterfaces(self):
-        return implementedBy(Student)
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 6631)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 6632)
@@ -36,5 +36,5 @@
 from waeup.sirp.app import University
 from waeup.sirp.students.container import StudentsContainer
-from waeup.sirp.students.students import Student
+from waeup.sirp.students.student import Student
 from waeup.sirp.university.faculty import Faculty
 from waeup.sirp.university.department import Department
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_catalog.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_catalog.py	(revision 6631)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_catalog.py	(revision 6632)
@@ -28,5 +28,5 @@
 from waeup.sirp.interfaces import IQueryResultItem
 from waeup.sirp.testing import FunctionalLayer
-from waeup.sirp.students.students import Student
+from waeup.sirp.students.student import Student
 #from waeup.sirp.students.workflow import INITIALIZED, USED, DISABLED
 from waeup.sirp.students.catalog import StudentQueryResultItem, search
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py	(revision 6632)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py	(revision 6632)
@@ -0,0 +1,75 @@
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+## 
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+## 
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""Tests for students and related.
+"""
+import unittest
+from StringIO import StringIO
+from zope.app.testing.functional import FunctionalTestCase
+from zope.component import (
+    provideAdapter, adapts, getGlobalSiteManager, provideUtility)
+from zope.component.hooks import setSite
+from zope.component.interfaces import IFactory
+from zope.interface import verify, implements
+from zope.location.interfaces import ILocation
+from zope.publisher.base import TestRequest
+from zope.publisher.interfaces import NotFound
+from waeup.sirp.students.student import (
+    Student, StudentFactory,
+    )
+from waeup.sirp.students.interfaces import (
+    IStudent,
+    )
+from waeup.sirp.testing import FunctionalLayer
+
+class StudentTest(FunctionalTestCase):
+
+    layer = FunctionalLayer
+
+    def setUp(self):
+        super(StudentTest, self).setUp()
+        self.student = Student()
+        return
+
+    def tearDown(self):
+        super(StudentTest, self).tearDown()
+        return
+
+    def test_interfaces(self):
+        verify.verifyClass(IStudent, Student)
+        verify.verifyObject(IStudent, self.student)
+        return
+
+class StudentFactoryTest(FunctionalTestCase):
+
+    layer = FunctionalLayer
+
+    def setUp(self):
+        self.factory = StudentFactory()
+
+    def tearDown(self):
+        pass
+
+    def test_interfaces(self):
+        verify.verifyClass(IFactory, StudentFactory)
+        verify.verifyObject(IFactory, self.factory)
+
+    def test_factory(self):
+        obj = self.factory()
+        assert isinstance(obj, Student)
+
+    def test_getInterfaces(self):
+        implemented_by = self.factory.getInterfaces()
+        assert implemented_by.isOrExtends(IStudent)
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_students.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_students.py	(revision 6631)
+++ 	(revision )
@@ -1,75 +1,0 @@
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-## 
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-## 
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-"""Tests for students and related.
-"""
-import unittest
-from StringIO import StringIO
-from zope.app.testing.functional import FunctionalTestCase
-from zope.component import (
-    provideAdapter, adapts, getGlobalSiteManager, provideUtility)
-from zope.component.hooks import setSite
-from zope.component.interfaces import IFactory
-from zope.interface import verify, implements
-from zope.location.interfaces import ILocation
-from zope.publisher.base import TestRequest
-from zope.publisher.interfaces import NotFound
-from waeup.sirp.students.students import (
-    Student, StudentFactory,
-    )
-from waeup.sirp.students.interfaces import (
-    IStudent,
-    )
-from waeup.sirp.testing import FunctionalLayer
-
-class StudentTest(FunctionalTestCase):
-
-    layer = FunctionalLayer
-
-    def setUp(self):
-        super(StudentTest, self).setUp()
-        self.student = Student()
-        return
-
-    def tearDown(self):
-        super(StudentTest, self).tearDown()
-        return
-
-    def test_interfaces(self):
-        verify.verifyClass(IStudent, Student)
-        verify.verifyObject(IStudent, self.student)
-        return
-
-class StudentFactoryTest(FunctionalTestCase):
-
-    layer = FunctionalLayer
-
-    def setUp(self):
-        self.factory = StudentFactory()
-
-    def tearDown(self):
-        pass
-
-    def test_interfaces(self):
-        verify.verifyClass(IFactory, StudentFactory)
-        verify.verifyObject(IFactory, self.factory)
-
-    def test_factory(self):
-        obj = self.factory()
-        assert isinstance(obj, Student)
-
-    def test_getInterfaces(self):
-        implemented_by = self.factory.getInterfaces()
-        assert implemented_by.isOrExtends(IStudent)
